Package ru.bitel.bgbilling.modules.cerbercrypt.server.task

# Class Calculator

java.lang.Object
ru.bitel.bgbilling.kernel.task.server.TaskBase
ru.bitel.bgbilling.modules.cerbercrypt.server.task.Calculator

All Implemented Interfaces:
  `java.lang.Runnable`

    public class Calculator
    extends ru.bitel.bgbilling.kernel.task.server.TaskBase

Класс начисляет наработку за работу клиентов Начисление может быть запущено только за определенный месяц

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.kernel.task.server.TaskBase

  `defaultDescription, log, moduleId, setup, STATUS_FINISHED, STATUS_FINISHED_INTERRUPTED, STATUS_NOTSTARTED, STATUS_WORKING, taskId, taskSetup`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `Calculator()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `protected ServiceCostCache` | `calculate​(java.sql.Connection con, java.sql.Connection conSlave, java.util.List<CardPacket> cardPacketList, boolean preCalc)` | Считаем...
  `protected void` | `executeTask()` |
  `java.lang.String` | `getDescription()` |
  `protected boolean` | `initTask()` |
  `ServiceCostCache` | `preCalculate​(ConnectionSet connectionSet)` |
  `void` | `setCids​(java.lang.String value)` |
  `void` | `setOneDayMode()` | Устанавливает режим счёта по одному дню, для обсчёта одного дня указанного (равным getOperatingTime).
  `void` | `setOneMonthMode()` | Устанавливает режим счёта по одному месяцу, без обрезания по now, можно обсчитать месяц текущий и будущий целиком (тот что включает getOperatingTime).
  `void` | `setUsercardIds​(java.util.List<java.lang.Integer> usercardIds)` |

  ### Methods inherited from class ru.bitel.bgbilling.kernel.task.server.TaskBase

  `getFinishTime, getModuleId, getOperatingTime, getStartTime, getTaskSetup, getTaskStatus, getWorkingTime, initModuleId, initTask, putMyselfIntoTable, removeMyselfFromTable, run, runLocal, setExecutingTime, setModuleId, startTask`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Calculator

    public Calculator()

- ## Method Details

  - ### getDescription

    public java.lang.String getDescription()
    Specified by:
      `getDescription` in class `ru.bitel.bgbilling.kernel.task.server.TaskBase`

  - ### setCids

    public void setCids​(java.lang.String value)

  - ### setUsercardIds

    public void setUsercardIds​(java.util.List<java.lang.Integer> usercardIds)

  - ### setOneDayMode

    public void setOneDayMode()
    Устанавливает режим счёта по одному дню, для обсчёта одного дня указанного (равным getOperatingTime). Полезно для прекалькуляции. Также не отнимается час от текущего (в калькуляторе это делается чтобы обсчитать предыдущий).

  - ### setOneMonthMode

    public void setOneMonthMode()
    Устанавливает режим счёта по одному месяцу, без обрезания по now, можно обсчитать месяц текущий и будущий целиком (тот что включает getOperatingTime). Полезно для прекалькуляции. Также не отнимается час от текущего (в калькуляторе это делается чтобы обсчитать предыдущий).

  - ### initTask

    protected boolean initTask()
    Specified by:
      `initTask` in class `ru.bitel.bgbilling.kernel.task.server.TaskBase`

  - ### executeTask

    protected void executeTask()
    Specified by:
      `executeTask` in class `ru.bitel.bgbilling.kernel.task.server.TaskBase`

  - ### preCalculate

    public ServiceCostCache preCalculate​(ConnectionSet connectionSet) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### calculate

    protected final ServiceCostCache calculate​(java.sql.Connection con, java.sql.Connection conSlave, java.util.List<CardPacket> cardPacketList, boolean preCalc)
    Считаем...
    Parameters:
      `con` - коннекшен
      `conSlave` - коннекшен
      `cardPacketList` -